maybe chmod 0755 'grub.d/20_linux_xen'
maybe chmod 0755 'grub.d/30_os-prober'
maybe chmod 0755 'grub.d/30_uefi-firmware'
+maybe chmod 0755 'grub.d/35_fwupd'
maybe chmod 0755 'grub.d/40_custom'
maybe chmod 0755 'grub.d/41_custom'
maybe chmod 0644 'grub.d/README'
#
# If unset or no schemes are listed, the default will be: file,https,http,ipfs
UriSchemes=
+
+# Ignore power levels of devices when running updates
+IgnorePower=false
+
+# Only support installing firmware signed with a trusted key
+OnlyTrusted=true
+
+# A host best known configuration is used when using `fwupdmgr sync` which can
+# downgrade firmware to factory versions or upgrade firmware to a supported
+# config level. e.g. `vendor-factory-2021q1`
+HostBkc=
+
+# these are only required when the SMBIOS or Device Tree data is invalid or missing
+#Manufacturer=
+#ProductName=
+#ProductSku=
+#Family=
+#EnclosureKind=
+#BaseboardProduct=
+#BaseboardManufacturer=
# Whether to verify the server certificate or not
# Expected value: TRUE or FALSE
-# Default: TRUE
+# Default: FALSE
#CACheck=
+
+# Do not use IPMI KCS to create an initial user account if no SMBIOS data
+IpmiDisableCreateUser=False
Title=Linux Vendor Firmware Service (testing)
MetadataURI=https://cdn.fwupd.org/downloads/firmware-testing.xml.gz
ReportURI=https://fwupd.org/lvfs/firmware/report
-Username=
-Password=
+#Username=
+#Password=
OrderBefore=lvfs,fwupd
AutomaticReports=false
ApprovalRequired=false
[uefi_capsule]
+# use GRUB to launch fwupdx64.efi
+#EnableGrubChainLoad=false
+
# the shim loader is required to chainload the fwupd EFI binary unless
# the fwupd.efi file has been self-signed manually
#DisableShimForSecureBoot=true
-# the EFI system partition path used
-# if this is is not /boot/efi, /boot, or /efi
+# the EFI system partition (ESP) path used if UDisks is not available
+# or if this partition is not mounted at /boot/efi, /boot, or /efi
#OverrideESPMountPoint=
# amount of free space required on the ESP, for example using 0x2000000 for 32Mb
# with the UEFI removable path enabled, the default esp path is set to /EFI/boot
# the shim EFI binary and presumably this is $ESP/EFI/boot/bootx64.efi
#FallbacktoRemovablePath=false
+
+# allow ignoring the CapsuleOnDisk support advertised by the firmware
+#DisableCapsuleUpdateOnDisk=true
--- /dev/null
+#! /bin/sh
+# SPDX-License-Identifier: LGPL-2.1+
+set -e
+
+[ -d ${pkgdatadir:?} ]
+# shellcheck source=/dev/null
+. "$pkgdatadir/grub-mkconfig_lib"
+
+if [ -f /var/lib/fwupd/uefi_capsule.conf ] &&
+ ls /sys/firmware/efi/efivars/fwupd-*-0abba7dc-e516-4167-bbf5-4d9d1c739416 1>/dev/null 2>&1; then
+ . /var/lib/fwupd/uefi_capsule.conf
+ if [ "${EFI_PATH}" != "" ] && [ "${ESP}" != "" ]; then
+ echo "Adding Linux Firmware Updater entry" >&2
+cat << EOF
+menuentry 'Linux Firmware Updater' \$menuentry_id_option 'fwupd' {
+EOF
+ ${grub_probe:?}
+ prepare_grub_to_access_device '`${grub_probe} --target=device \${ESP}` | sed -e "s/^/\t/"'
+cat << EOF
+ chainloader ${EFI_PATH}
+}
+EOF
+ fi
+fi
#!/bin/sh
-if [ -f /run/motd.d/fwupd/85-fwupd ]; then
- cat /run/motd.d/fwupd/85-fwupd
+if [ -f /run/motd.d/85-fwupd ]; then
+ cat /run/motd.d/85-fwupd
fi